/*=============================================
REVISAR SI LA UNIDAD YA ESTÁ REGISTRADO
=============================================*/

$("#nuevaUnidad").change(function(){

	$(".alert").remove();

	var unidad = $(this).val();

	var datos = new FormData();
	datos.append("validarUnidad", unidad);

	 $.ajax({
	    url:"ajax/unidades.ajax.php",
	    method:"POST",
	    data: datos,
	    cache: false,
	    contentType: false,
	    processData: false,
	    dataType: "json",
	    success:function(respuesta){
	    	
	    	if(respuesta){

	    		$("#nuevaUnidad").parent().after('<div class="alert alert-warning">Esta Unidad ya existe en la base de datos</div>');

	    		$("#nuevaUnidad").val("");

	    	}

	    }

	})
})

/*=============================================
EDITAR Unidad
=============================================*/
$(document).on("click", ".btnEditarUnidad", function(){

	var idUnidad = $(this).attr("idUnidad");
	
	var datos = new FormData();
	datos.append("idUnidad", idUnidad);

	$.ajax({

		url:"ajax/unidades.ajax.php",
		method: "POST",
		data: datos,
		cache: false,
		contentType: false,
		processData: false,
		dataType: "json",
		success: function(respuesta){
			
			$("#editarUnidad").val(respuesta["descripcion"]);
            $("#editarCodigo").val(respuesta["codigo"]);
            $("#idUnidad").val(respuesta["id"]);
			

		}

	});

})
/*=============================================
ELIMINAR Unidad
=============================================*/
$(document).on("click", ".btnEliminarUnidad", function(){

	var idUnidad = $(this).attr("idUnidad");
  
	swal({
	  title: '¿Está seguro de borrar la Unidad?',
	  text: "¡Si no lo está puede cancelar la accíón!",
	  type: 'warning',
	  showCancelButton: true,
	  confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		cancelButtonText: 'Cancelar',
		confirmButtonText: 'Si, borrar Unidad!'
	}).then(function(result){
  
	  if(result.value){
  
		window.location = "index.php?ruta=unidades&idUnidad="+idUnidad;
  
	  }
  
	})
  
  })

  $(".codigo").change(function(){

	$(".alert").remove();
	var input = $(this).val();

	if(input.length < 3) {

		$(".codigo").parent().after('<div class="alert alert-warning">EL CODIGO DEBE CONTENER MINIMO 3 LETRAS </div>');

		$(".codigo").val("");
	}
	
})

$(".unidad").change(function(){
	
	$(".alert").remove();
	var input = $(this).val();

	if(input.length < 4) {

		$(".unidad").parent().after('<div class="alert alert-warning">LA UNIDAD DEBE CONTENER COMO MINIMO 4 LETRAS </div>');

		$(".unidad").val("");
	}
	
})